Loading...
Searching...
No Matches
gsmtap_inst Struct Reference
GSMTAP

one gsmtap instance Until gsmtap_inst_fd() is removed from the API at some point in the future, we have to keep the first member as 'int' and the second as 'struct osmo_wqueue' (this effectively makes sure that the struct member wq.bfd.fd maintains the same memory offset from the start of the struct) to ensure that inlined static 'instances' of gsmtap_inst_fd() in old binaries keep working the way they used to even with gsmtap_inst objects obtained from newer versions of libosmocore More...

## Data Fields

int | osmo_io_mode
| Indicates whether or not to use Osmo IO mode for message output (thus enabling use of tx queues).
struct osmo_wqueue | wq
| the wait queue.
struct osmo_io_fd * | out
| Used when osmo_io_mode is nonzero.
int | sink_fd

## Detailed Description

one gsmtap instance Until gsmtap_inst_fd() is removed from the API at some point in the future, we have to keep the first member as 'int' and the second as 'struct osmo_wqueue' (this effectively makes sure that the struct member wq.bfd.fd maintains the same memory offset from the start of the struct) to ensure that inlined static 'instances' of gsmtap_inst_fd() in old binaries keep working the way they used to even with gsmtap_inst objects obtained from newer versions of libosmocore

## Field Documentation

## osmo_io_mode

int gsmtap_inst::osmo_io_mode

Indicates whether or not to use Osmo IO mode for message output (thus enabling use of tx queues).

This field member may not be changed or moved (backwards compatibility)

## out

struct osmo_io_fd* gsmtap_inst::out

Used when osmo_io_mode is nonzero.

## sink_fd

int gsmtap_inst::sink_fd

## wq

struct osmo_wqueue gsmtap_inst::wq

the wait queue.

This field member may not be changed or moved (backwards compatibility)

Referenced by gsmtap_inst_fd2().

The documentation for this struct was generated from the following file:

- src/core/gsmtap_util.c